HaController(mapping=None, *, ignore_unknown_fields=False, **kwargs)HaController handles failover for a VM Instance.
.. _oneof: https://proto-plus-python.readthedocs.io/en/stable/fields.html#oneofs-mutually-exclusive-fields
Attributes |
|
|---|---|
| Name | Description |
backend_services |
MutableSequence[str]
Advanced configuration option. If specified, these Backend Services need to be pre-created. Currently, only one backend service can be specified, and it must be L4 Internal Load Balancer (ILB). |
creation_timestamp |
str
Output only. [Output Only] Creation timestamp in RFC3339 text format. This field is a member of oneof_ _creation_timestamp.
|
description |
str
An optional description of this resource. Provide this property when you create the resource. This field is a member of oneof_ _description.
|
failover_initiation |
str
Indicates how failover should be initiated. Check the FailoverInitiation enum for the list of possible values. This field is a member of oneof_ _failover_initiation.
|
id |
int
Output only. [Output Only] The unique identifier for the resource. This identifier is defined by the server. This field is a member of oneof_ _id.
|
instance_name |
str
Name of the instance that HaController is in charge of. If not specified the HaController's resource name will be used instead. The name must be 1-63 characters long, and comply withRFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first
character must be a lowercase letter, and all following
characters must be a dash, lowercase letter, or digit,
except the last character, which cannot be a dash.
This field is a member of oneof_ _instance_name.
|
kind |
str
Output only. [Output Only] Type of the resource. Alwayscompute#haController for HaControllers. This field is a member of oneof_ _kind.
|
name |
str
Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply withRFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first
character must be a lowercase letter, and all following
characters must be a dash, lowercase letter, or digit,
except the last character, which cannot be a dash.
This field is a member of oneof_ _name.
|
networking_auto_configuration |
google.cloud.compute_v1.types.HaControllerNetworkingAutoConfiguration
Basic networking configuration. Required backend services and forwarding rules will be automatically created with default parameters. This field is a member of oneof_ _networking_auto_configuration.
|
region |
str
Output only. [Output Only] URL of the region where the resource resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body. This field is a member of oneof_ _region.
|
self_link |
str
Output only. [Output only] Server-defined URL for the resource. This field is a member of oneof_ _self_link.
|
self_link_with_id |
str
Output only. [Output Only] Server-defined URL for this resource with the resource id. This field is a member of oneof_ _self_link_with_id.
|
state |
str
Output only. The current state of the HA Controller. Check the State enum for the list of possible values. This field is a member of oneof_ _state.
|
status |
google.cloud.compute_v1.types.HaControllerStatus
Output only. [Output Only] Status information for the HaController resource. This field is a member of oneof_ _status.
|
zone_configurations |
MutableMapping[str, google.cloud.compute_v1.types.HaControllerZoneConfiguration]
Map of zone configurations Key: name of the zone Value: ZoneConfiguration |
Classes
FailoverInitiation
FailoverInitiation(value)Indicates how failover should be initiated.
State
State(value)Output only. The current state of the HA Controller.
ZoneConfigurationsEntry
ZoneConfigurationsEntry(mapping=None, *, ignore_unknown_fields=False, **kwargs)The abstract base class for a message.
| Parameters | |
|---|---|
| Name | Description |
kwargs |
dict
Keys and values corresponding to the fields of the message. |
mapping |
Union[dict,
A dictionary or message to be used to determine the values for this message. |
ignore_unknown_fields |
Optional(bool)
If True, do not raise errors for unknown fields. Only applied if |